import React from "react";
import { Image } from "antd-mobile";
export default function Empty({ type }) {
  const text = (type) => {
    switch (type) {
      case "post":
        return "还没有动态哦～快去与Ta邂逅吧！";
      case "friendship":
        return "Ta都等急了！行动起来！";
      case "location":
        return "打开位置权限，邂逅同城的Ta吧～";
      case "message":
        return "犹豫就会败北！爱要勇敢说出来！";
      case "search":
        return "没找到Ta呢……换个试试？";
      case "internet":
        return "网络好像出错了，试着下拉刷新一下吧！";
      case "nodata":
        return "这里空空如也哦～";
      case "nospace":
        return "暂时没有加入的空间哦";
    }
  };
  return (
    <div className="flex flex-col justify-center items-center">
      <div className="w-28 h-28">
      <Image
        
        fit="cover"
        src={"/icons/nodata.png"}
        placeholder=""
      />
      </div>
      <p className="text-sm text-[#FFFFFF40] mt-3">
        {text(type)}
      </p>
    </div>
  );
}
